<template>
  <div class="detail_tin">
    <h1 class="title_detail">
      {{ article.title }}
    </h1>
    <div class="author">
      <div v-if="article.created_by.avatar" class="ava">
        <img
          :src="resizeImage(baseImageUrl + article.created_by.avatar, 100, 100)"
          :alt="article.created_by.name"
        />
      </div>
      <span>
        By
        <a href="javascript:;" class="color-main">
          {{ article.created_by.name }}
        </a>
        <!-- , {{ article.created_by.role }} -->
        <br />
        {{ article.created_at }}
      </span>
    </div>
    <p class="Images">
      <img :src="resizeImage(baseImageUrl + article.thumbnail, 1000, 450)" />
    </p>
    <div class="min-width">
      <!-- eslint-disable-next-line vue/no-v-html -->
      <div v-html="article.content"></div>
      <div v-if="article.tags.length" class="block_tag">
        <label class="txt_tag">Tags:</label>
        <h3 v-for="tag in article.tags" :key="tag.id" class="tag_item">
          <a href="javascript:;">{{ tag.name }}</a>
        </h3>
      </div>
      <div class="share-detail">
        <label class="txt_tag">Chia sẻ:</label>
        <a
          class="face"
          target="_blank"
          :href="'http://www.facebook.com/share.php?u=' + url_share"
        >
          <svg class="icon-svg">
            <use xlink:href="/images/icons/icon.svg#share-alt1" />
          </svg>
          Facebook
        </a>
      </div>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ArticleDetail',
  props: {
    article: {
      type: Object,
      default: null,
    },
  },
  data() {
    return {
      url_share: '',
    }
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  mounted() {
    this.url_share = document.location.href
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>
